body { 
    z-index: 0;
    
    display: grid;
    grid-template-columns: 0.5fr repeat(6, 1fr);
    grid-template-rows: repeat(6, 0.5fr);
    grid-column-gap: 0px;
    grid-row-gap: 0px;
    }
    
    header { 
        grid-area: 1 / 1 / 2 / 8;   
        position: sticky;
        top: 10px;
    }
    
    #header {
        margin-top: 0px;
        padding-left: 40px;
    }

    .menu1 { 
        position: sticky;
        top: 20px;
        z-index: 200;
        grid-area: 2 / 1 / 6 / 2; 
    }

    .menu2 { 
        position: sticky;
        top: 20px;
        z-index: 200;
        grid-area: 2 / 7 / 6 / 8; 
    }

    .body { 
        grid-area: 2 / 1 / 6 / 8;  

        /* padding: 20px; */
        padding-left: 145px; 
        padding-right: 155px; 
        padding-bottom: 45px;
        z-index: 99;

        
        font-family: 'helvetica neue', sans-serif;
        font-weight: 500;
        font-size: 16px;
        
        border-radius: 20px;
        background: linear-gradient(145deg, #f7e1ff, #e0caf1); 
        box-shadow:  20px 20px 60px #665f6c;
    }

    .links {
        grid-area: 6 / 1 / 7 / 8;  

        position: sticky;
        bottom: 20px;
        z-index: 999px;

        margin-top: 30px;
        margin-bottom: 100px;
        padding: 20px; 
        z-index: 50;

        text-align: center;
        line-height: 40px;
        
        font-family: 'helvetica neue', sans-serif;
        font-style: italic;
        font-weight: 500;
        font-size: 16px;
        
        display: inline;

        border-radius: 20px;
        background: linear-gradient(145deg, #f7e1ff, #e0caf1); 
        box-shadow:  20px 20px 60px #665f6c;
    }

    .links a {
        color: #34124f;
        padding: 14px 18px;
        text-decoration: none;
    }

    h2{
        margin-top: 30px;
        margin-left: 10px;

        text-align: left;

        font-family: 'helvetica neue', sans-serif;
        font-weight: 700;
        font-size: 60px;

        text-shadow: 14px 14px 20px #867e8e5e;
    }

/* lab7 */
.var1 {
    position: relative;
    height: 640px;
}

img {
    padding: 2px;
    background: linear-gradient(145deg, #e8c1f6, #d0a4f1); 

    display: block;
    border-radius: 20px;
    width: 600px;
    height: auto;
}

/* Lab91 */
#v1 {
    top: 10px; 
    border-radius: 20px;
    height: 630px;
    z-index: 100;
}